---
contentType: explanation
---

# Processing data with code

## Function

A function is a block of code designed to perform a certain task. In n8n, you can write custom JavaScript or Python code snippets to add, remove, and update the data you receive from a node.

The [Code](/integrations/builtin/core-nodes/n8n-nodes-base.code/index.md) node gives you access to the incoming data and you can manipulate it. With this node you can create any function you want using JavaScript code.
